Search for User
curl --request GET \
--url https://codecombat.com/api/user-lookup/{property}/{value} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://codecombat.com/api/user-lookup/{property}/{value}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://codecombat.com/api/user-lookup/{property}/{value}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Users
Search for User
Redirects to /users/{handle} given a unique, identifying property
GET
/
user-lookup
/
{property}
/
{value}
Search for User
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The property to lookup by. May either be "israel-id" or "name".
The value to be looked up.
Response
204 - undefined
⌘I
